DKBSignDocs

API reference

POSTRequires Bearer token

WebAuthn registration options

/api/v1/mfa/webauthn/register/options

Returns options and a challenge_token to send on register.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200WebAuthn registration options
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/mfa/webauthn/register/options' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "options": {},
  "challenge_token": "opaque-challenge"
}